#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/init.h>

static int __init counter_init(void) {
    pr_info("counter: LKM loaded.\n");
    return 0;
}

static void __exit counter_exit(void) {
    pr_info("counter: LKM unloaded.\n");
}

module_init(counter_init);
module_exit(counter_exit);

MODULE_LICENSE("GPL");
MODULE_AUTHOR("Wolfgang Hottgenroth <wolfgang.hottgenroth@icloud.com>");
MODULE_DESCRIPTION("LKM for MainsCnt counter module");
MODULE_VERSION("0.1");

